Bug 112158 - xsane ignores scan boundaries on hpoj scanner
xsane ignores scan boundaries on hpoj scanner
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: xsane (Show other bugs)
1
athlon Linux
medium Severity medium
: ---
: ---
Assigned To: Nils Philippsen
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-12-15 10:00 EST by P Jones
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version: FC4
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-10-20 03:12:59 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description P Jones 2003-12-15 10:00:44 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.4.1)
Gecko/20031114

Description of problem:
When scanning a document or photo, xsane ignores the settings of the
scan boundaries, whether set by clicking and dragging on the preview
window, or by inputting numbers on the advanced options geometry
window. It will only scan the original automatically determined scan
boundaries, which in my case is always the correct width of the
document, but the length is always determined to be the entire scan
capability of the scanner.

For example, if I scan a 5"x7" photo, the automatically determined
width will be (roughly) 5", but the length will be 13.963". Then, even
if I click and drag the boundaries in the preview window to be 7
inches in length, or enter 7" in the advanced options geometry window,
the scan will always be the original 13.963 inches in length, giving
me a big chunk of white data at the bottom of the scan.

This occurs in flatbed scanning as well as sheet fed scanning on my
unit, which is an HP OfficeJet 7110.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Described above
2.
3.
    

Expected Results:  xsane should correctly determine scan boundaries,
and/or allow one to adjust the boundaries, and then scan the adjusted
boundaries.

Additional info:

Not sure if this is an hpoj problem or an xsane problem. I used to
have an HP OfficeJet K-60 with RH9, and the problem I'm describing
would only happen occasionally.
Comment 1 Nils Philippsen 2005-10-11 04:19:24 EDT
Is this problem still present on a current (FC4 or Rawhide) system?
Comment 2 P Jones 2005-10-19 09:52:18 EDT
I have not had this happen in FC4, so I suppose this bug can be closed.

Note You need to log in before you can comment on or make changes to this bug.